Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005854 [JEDI VCL] 00 JVCL Components major always 2012-04-14 11:50 2012-09-10 14:15
Reporter ZENsan View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005854: Enabled property is changed inproperly in TJvDBSpinEdit
Description procedure TJvDBSpinEdit.ActiveChange(Sender: TObject);
begin
  if not (csDesigning in ComponentState) then
    Enabled := FDataLink.Active;
end;

Why Enabled property is changed there? That's absolutely is not normal. You set SpinEdit to Enabled = False in designtime, everything ok. But once you open form in application (dataset opens) your spinedit coincidentally becomes enabled!
Additional Information
Tags No tags attached.
Attached Files zip file icon JvDBSpinEdit.zip [^] (1,260 bytes) 2012-06-12 08:03

- Relationships
related to 0001814resolvedremkobonte JvDBDateTimePicker and JvDBDBSpinEdit edit when readonly 

-  Notes
(0019850)
obones (administrator)
2012-06-11 17:26

Please provide the zipped sources of a sample application showing this.
(0019887)
ZENsan (reporter)
2012-06-12 08:04

Run application. Editor is disabled as it must be. Now press button (it just opens the dataset). Editor is not disabled anymore.
(0019935)
obones (administrator)
2012-06-12 17:34

This comes from this commit:

r7920
remkobonte 22/08/2004 13:54:58
Mantis 0001814: JvDBDateTimePicker and JvDBDBSpinEdit edit when readonly

But that does not make sense to me as I would rather not change anything.
What do you think?
(0019939)
ZENsan (reporter)
2012-06-13 09:13

Hm. But this is actually bug. I don't know about that other report (it looks strange a little). If you set control to disabled, it must be always disabled and not change on it's own behalf when it wants.
(0019953)
obones (administrator)
2012-06-13 14:23

I agree, it makes no sense.
This has now been removed from SVN

- Issue History
Date Modified Username Field Change
2012-04-14 11:50 ZENsan New Issue
2012-06-11 17:26 obones Note Added: 0019850
2012-06-11 17:26 obones Status new => feedback
2012-06-12 08:03 ZENsan File Added: JvDBSpinEdit.zip
2012-06-12 08:04 ZENsan Note Added: 0019887
2012-06-12 09:52 obones Status feedback => acknowledged
2012-06-12 17:32 obones Relationship added related to 0001814
2012-06-12 17:34 obones Note Added: 0019935
2012-06-12 17:34 obones Status acknowledged => feedback
2012-06-13 09:13 ZENsan Note Added: 0019939
2012-06-13 14:23 obones Note Added: 0019953
2012-06-13 14:23 obones Status feedback => resolved
2012-06-13 14:23 obones Fixed in Version => Daily / SVN
2012-06-13 14:23 obones Resolution open => fixed
2012-06-13 14:23 obones Assigned To => obones
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker